<?php

function reza_multi_array_options($value) {
	$none_default=array(''=>__('Default','reza'));

 /******************************************************************************************************************************************************
																		Panel Radius
*//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////	 
 	$options['border'] = array( 
			array( 
				"name"			=> esc_html__('Size','reza'),			
  				"id"			=> "size",
				"type"			=> "select",
				"options"		=>  reza_array_options('border'),
  			),
 			 			
			array( 
   				"id"			=> "color",
 				"type"			=> "color_rgba",
 			),	
			 					
	); 
	
	$options['shadow'] = array( 
 
			array( 
 				"name"			=> 	esc_html__('Size','reza'),
 				"id"			=> "size",
  				"type"			=> "select",
				"options"		=>  reza_array_options('shadow',true),
 			),	
			array( 
   				"id"			=> "color",
 				"type"			=> "color_rgba",
 			),				
		 
			);
  	
	$options['margin'] = array( 
			array( 
				"name"			=> esc_html__('Top','reza'),			
  				"id"			=> "top",
				"type"			=> "number",
 			),
			array( 
				"name"			=> esc_html__('Right','reza'),
 				"id"			=> "right",
 				"type"			=> "number",
 			),	
			array( 
				"name"			=> esc_html__('Bottom','reza'),
    				"id"			=> "bottom",
 				"type"			=> "number",
 			),
			array( 
				"name"			=>  esc_html__('Left','reza'),
  				"id"			=> "left",
 				"type"			=> "number",
 			),	
			array( 
 				"name"			=> 	esc_html__('Unit','reza'),
 				"id"			=> "unit",
  				"type"			=> "select",
				"options"		=>  reza_array_options('unit'),
 			),
  	);
	
	$options['meta'] = array( 
	 
			array( 
				"name"			=> esc_html__('Author','reza'),
 				"id"			=> "meta_author",
 				"type"			=> "checkbox",
 			),	
			array( 
				"name"			=> esc_html__('Category','reza'),
				"id"			=> "meta_category",
 				"type"			=> "checkbox",
 			), 
			array( 
				"name"			=> esc_html__('Date','reza'),
				"id"			=> "meta_date",
 				"type"			=> "checkbox",
 			), 
			
 			array( 
				"name"			=> esc_html__('View','reza'),
				"id"			=> "meta_view",
 				"type"			=> "checkbox",
 			),			
			array( 
				"name"			=>  esc_html__('Comments','reza'),
  				"id"			=> "meta_comments",
 				"type"			=> "checkbox",
 			),	
			
			
			 
 		); 
	$options['meta_text'] = array( 
	 
			array( 
				"name"			=> esc_html__('Author','reza'),
 				"id"			=> "meta_author",
 				"type"			=> "checkbox",
 			),	
 			array( 
				"name"			=> esc_html__('Date','reza'),
				"id"			=> "meta_date",
 				"type"			=> "checkbox",
 			), 
			
 			array( 
				"name"			=> esc_html__('View','reza'),
				"id"			=> "meta_view",
 				"type"			=> "checkbox",
 			),			
			array( 
				"name"			=>  esc_html__('Comments','reza'),
  				"id"			=> "meta_comments",
 				"type"			=> "checkbox",
 			),	
			
			
			 
 		); 
		
		
	$options['portfolio_meta'] = array( 
	 
			array( 
				"name"			=> esc_html__('Author','reza'),
 				"id"			=> "meta_author",
 				"type"			=> "checkbox",
 			),	
			array( 
				"name"			=> esc_html__('Category','reza'),
				"id"			=> "meta_category",
 				"type"			=> "checkbox",
 			), 
			array( 
				"name"			=> esc_html__('Date','reza'),
				"id"			=> "meta_date",
 				"type"			=> "checkbox",
 			), 
			
 			array( 
				"name"			=> esc_html__('View','reza'),
				"id"			=> "meta_view",
 				"type"			=> "checkbox",
 			),			
			 
			
			 
 		); 
	
	$options['meta_layout'] = array( 	
		array( 	"name"			=> __('Location','reza'),			
			"id"			=> "location",
			"type"			=> "select",
			"options"		=>	array( 	
				""			=> __('Default','reza'),
				"title-top"			=> __('Top Title','reza'),
				"title-bottom"		=> __('Bottom Title','reza'),
				"details-bottom"	=> __('Bottom Details','reza'),
			),	
		),
		array( 
			"name"			=> __('Between','reza'),			
			"id"			=> "between",
			"type"			=> "select",
			"options"		=>	array( 	
				""			=> __('Default','reza'),
				"between-1"		=> __('empty','reza'),	
				"between-2"		=> __('-','reza'),	
				"between-3"		=> __('|','reza'),	
				"between-4"		=> __('/','reza'),	
			),
		),
		array( 
			"name"			=> __('Layout','reza'),			
			"id"			=> "layout",
			"type"			=> "select",
			"options"		=>	array(
				""			=> __('Default','reza'),
				"layout-1"		=> __('no Icon','reza'),
				"layout-2"		=> __('no Icon & Avater Author','reza'),
				"layout-3"		=> __('by Icon','reza'),	
				"layout-4"		=> __('by Icon & no Icon Author ','reza'),	
				"layout-5"		=> __('by Icon & Avater Author','reza'),
			),
		),
	);	
 	
	$options['typo'] = array( 
	 
			array( 
				"name"			=> esc_html__('Font Size','reza'),
 				"id"			=> "font_size",
 				"type"			=> "number",
 			),	
			array( 
				"name"			=> esc_html__('Font Weight','reza'),
				"id"			=> "font_weight",
 				"type"			=> "select",
				"options"		=>  array( 
					''				=>	__('Default','reza'),
 					"300"			=> esc_html__('Light','reza'),
					"normal"		=> esc_html__('Normal','reza'),
					"500"			=> esc_html__('Medium','reza'),
					"bold"			=> esc_html__('Bold','reza'),
					"900"			=> esc_html__('Extra-Bold','reza'),
					) ,
 			), 
 			array( 
				"name"			=> esc_html__('Text Transform','reza'),
				"id"			=> "text_transform",
 				"type"			=> "select",
				"options"		=>  array( 
						''				=>	__('Default','reza'),
  						"none"			=> 	__('None','reza'),
 						"uppercase"			=> 	__('Uppercase','reza'),
 						"lowercase"			=> __('Lowercase','reza'),
  						"capitalize"			=> __('Capitalize','reza'),
				) ,
				) ,
		);

	$options['typo_icon'] = array( 
	 
			array( 
				"name"			=> esc_html__('Font Size','reza'),
 				"id"			=> "font_size",
 				"type"			=> "number",
 			),	
			array( 
				"name"			=> esc_html__('Font Weight','reza'),
				"id"			=> "font_weight",
 				"type"			=> "select",
				"options"		=>  array( 
					''				=>	__('Default','reza'),
 					"300"			=> esc_html__('Light','reza'),
					"normal"		=> esc_html__('Normal','reza'),
					"500"			=> esc_html__('Medium','reza'),
					"bold"			=> esc_html__('Bold','reza'),
					"900"			=> esc_html__('Extra-Bold','reza'),
					) ,
 			), 
 			array( 
				"name"			=> esc_html__('Text Transform','reza'),
				"id"			=> "text_transform",
 				"type"			=> "select",
				"options"		=>  array( 
						''				=>	__('Default','reza'),
  						"none"			=> 	__('None','reza'),
 						"uppercase"			=> 	__('Uppercase','reza'),
 						"lowercase"			=> __('Lowercase','reza'),
  						"capitalize"			=> __('Capitalize','reza'),
				) ,
			) ,
 			array( 
				"name"			=> esc_html__('Icon Size','reza'),
				"id"			=> "icon_size",
 				"type"			=> "select",
				"options"		=> reza_array_options('icon_size',true)
				) ,				
		);			
	 
	
	
	$options['typo_mini'] = array( 
	 
			 
			array( 
				"name"			=> esc_html__('Font Weight','reza'),
				"id"			=> "font_weight",
 				"type"			=> "select",
				"options"		=>  array( 
					''				=>	__('Default','reza'),
 					"300"			=> esc_html__('Light','reza'),
					"normal"		=> esc_html__('Normal','reza'),
					"500"			=> esc_html__('Medium','reza'),
					"bold"			=> esc_html__('Bold','reza'),
					"900"			=> esc_html__('Extra-Bold','reza'),
					) ,
 			), 
 			array( 
				"name"			=> esc_html__('Text Transform','reza'),
				"id"			=> "text_transform",
 				"type"			=> "select",
				"options"		=>  array( 
						''				=>	__('Default','reza'),
  						"none"			=> 	__('None','reza'),
 						"uppercase"			=> 	__('Uppercase','reza'),
 						"lowercase"			=> __('Lowercase','reza'),
  						"capitalize"			=> __('Capitalize','reza'),
				) ,
				) ,
		);	
	
$options['typo_style'] = array( 
	 
			array( 
				"name"			=> esc_html__('Font Size','reza'),
 				"id"			=> "font_size",
 				"type"			=> "number",
 			),	
			array( 
				"name"			=> esc_html__('Font Weight','reza'),
				"id"			=> "font_weight",
 				"type"			=> "select",
				"options"		=>  array( 
					""				=> esc_html__('Default','reza'),
					"300"			=> esc_html__('Light','reza'),
					"normal"		=> esc_html__('Normal','reza'),
					"500"			=> esc_html__('Medium','reza'),
					"bold"			=> esc_html__('Bold','reza'),
					"900"			=> esc_html__('Extra-Bold','reza'),
					) ,
 			), 
 			array( 
				"name"			=> esc_html__('Text Transform','reza'),
				"id"			=> "text_transform",
 				"type"			=> "select",
				"options"		=>  array( 
						""					=> __('Default','reza'),
 						"none"			=> 	__('none','reza'),
 						"uppercase"			=> 	__('Uppercase','reza'),
 						"lowercase"			=> __('Lowercase','reza'),
  						"capitalize"			=> __('Capitalize','reza'),
				),
			) ,
			array( 
					"name"			=> esc_html__('Font Style','reza'),
					"id"			=> "font_style",
					"type"			=> "select",
					"options"		=>  array( 
						''				=>esc_html__('Default','reza'), 
						'normal'		=> esc_html__('Normal','reza'), 
						'italic'		=> esc_html__('Italic','reza'), 
						'oblique'		=> esc_html__('Oblique','reza'), 
					) ,	
				) ,					
				
			 
 		);		
$options['typo_line'] = array( 
	 
			array( 
				"name"			=> esc_html__('Font Size','reza'),
 				"id"			=> "font_size",
 				"type"			=> "number",
 			),
			
			array( 
				"name"			=> esc_html__('Line Height','reza'),
 				"id"			=> "line_height",
 				"type"			=> "select",
				"options"		=>  array( 
						""					=> __('Default','reza'),
 						"1em"		=> "1em",
						"1.05em"	=> "1.05em",
						"1.1em"		=> "1.1em",
						"1.15em"	=> "1.15em",
						"1.2em" 	=> "1.2em",
						"1.2em" 	=> "1.25em",
						"1.3em" 	=> "1.3em",
						"1.35em"	=> "1.35em",
						"1.4em" 	=> "1.4em",
						"1.45em"	=> "1.45em",
						"1.5em" 	=> "1.5em",
 						"1.6em" 	=> "1.6em",
 						"1.7em" 	=> "1.7em",
 						"1.8em" 	=> "1.8em",
 						"1.9em" 	=> "1.9em",
 						"2em" 		=> "2em",
						"2.1em" 		=> "2.1em",
						"2.2em" 		=> "2.2em",
						"2.3em" 		=> "2.3em",
						"2.4em" 		=> "2.4em",
						"2.5em" 		=> "2.5em",
   			),	
			 
 			 
				) ,
		);				
	 
	
return $options[$value];
}	
